Skip to main content
GET
/
telephony
/
agents
/
{agent_id}
/
webhook-url
Get Agent Inbound Webhook URL
curl --request GET \
  --url https://api.truedy.ai/api/public/v1/telephony/agents/{agent_id}/webhook-url \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "webhook_url": "https://api.truedy.ai/webhooks/inbound/agt_f9447372",
    "agent_id": "agt_f9447372",
    "protocol": "POST",
    "instructions": "Set this URL as your telephony provider inbound webhook to route calls to this agent."
  },
  "meta": {
    "request_id": "req_32e7531c",
    "ts": "2026-04-05T10:22:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Path Parameters

agent_id
string
required

Agent ID

Response

Inbound webhook URL for this agent